# Whether to open mock
# VITE_GLOB_USE_MOCK = true

# public path
VITE_GLOB_PUBLIC_PATH = /

# Cross-domain proxy, you can configure multiple
# Please note that no line breaks

# 本地
# VITE_PROXY = [["/api","http://192.168.2.225/api"]]

# 线上演示环境
VITE_PROXY = [["/api","http://117.174.10.73:19200"],["/agent","http://117.174.10.73:31895"],["/iserver","http://221.182.8.141:15000/iserver"],["/onlineIde","http://106.12.170.138:4001/examples"],["/tfDemo","http://106.12.170.138:4001/demo"]]
                                                              
# 线上测试环境
# VITE_PROXY = [["/api","http://localhost:8080/api"],["/thingskit-drawio","http://localhost:3000/"]]
# VITE_PROXY = [["/api","http://222.180.200.114:48080/api"],["/thingskit-drawio","http://localhost:3000/"],["/large-designer", "http://localhost:5555/large-designer/"]]
# VITE_PROXY = [["/api","http://121.37.251.8:8080/api"],["/thingskit-drawio","http://localhost:3000/"]]
# VITE_PROXY = [["/api","http://192.168.10.125:8080/api"],["/thingskit-drawio","http://192.168.10.125:8080/api"]]

# 实时数据的ws地址
# VITE_WEB_SOCKET = ws://localhost:8080/api/ws/plugins/telemetry?token=
# VITE_WEB_SOCKET = ws://44.99.141.212:8080/api/ws/plugins/telemetry?token=
VITE_GLOB_WEB_SOCKET = ws://192.168.2.225/api/ws/plugins/telemetry?token=
# VITE_WEB_SOCKET = ws://121.37.251.8:8080/api/ws/plugins/telemetry?token=

# Delete console
VITE_GLOB_DROP_CONSOLE = true

# Basic interface address SPA
VITE_GLOB_API_URL=/api
VITE_GLOB_API_URL2=/agent

# File upload address， optional
VITE_GLOB_UPLOAD_URL=/api/yt/oss/upload

# Interface prefix
# VITE_GLOB_API_URL_PREFIX=/yt
VITE_GLOB_API_URL_PREFIX=''

#configuration
VITE_GLOB_CONFIGURATION = /thingskit-drawio

# 大屏设计器
VITE_GLOB_LARGE_DESIGNER = /large-designer

# Content Security Policy
VITE_GLOB_CONTENT_SECURITY_POLICY = false

# Alarm Notify Polling Interval Time
VITE_GLOB_ALARM_NOTIFY_POLLING_INTERVAL_TIME = 500000

# Alarm Notify Auto Close Time Unit is Second
VITE_GLOB_ALARM_NOTIFY_DURATION = 5
